Bug 508047 - BWCT USB LCD stops working after update to 0.5.3-1.fc12
BWCT USB LCD stops working after update to 0.5.3-1.fc12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lcdproc (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-25 07:22 EDT by Patrick C. F. Ernzer
Modified: 2013-02-26 10:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 10:27:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2009-06-25 07:22:20 EDT
Description of problem:
after updating from 0.5.2-12.fc11 to 0.5.3-1.fc12 LCDd stops working

Version-Release number of selected component (if applicable):
0.5.3-1.fc12

How reproducible:
always

Steps to Reproduce:
1. get 0.5.3-1.fc12 from link at https://bugzilla.redhat.com/show_bug.cgi?id=507286#c2
2. /etc/init.d/LCDd stop
3. rpm -Uhv lcdproc-0.5.3-1.fc12.i586.rpm
4. /etc/init.d/LCDd start
5. as nothing happens try 'LCDd -f'
  
Actual results:
in both cases it returns immediately without starting LCDd, in the latter case I at least get:
Jun 25 14:16:59 bofferding-pcfe LCDd: hd_init_bwct_usb: interface may be claimed by kernel driver, attempting to detach it
Jun 25 14:16:59 bofferding-pcfe LCDd: hd_init_bwct_usb: unable to re-claim interface: No route to host
Jun 25 14:16:59 bofferding-pcfe LCDd: Driver [hd44780] init failed, return code -1
Jun 25 14:16:59 bofferding-pcfe LCDd: Could not load driver hd44780
Jun 25 14:16:59 bofferding-pcfe LCDd: There is no output driver
Jun 25 14:16:59 bofferding-pcfe LCDd: Critical error while initializing, abort.


Expected results:
workinf LCDd


Additional info:
  - If I use http://www.bwct.de/linux-ulcd.tar.gz from http://www.bwct.de/lcd.html as root, I can write to the display just fine.
  - yum downgrade lcdproc also gets it back working
Comment 1 Jarod Wilson 2009-06-25 08:58:28 EDT
I tanked something when I was porting the initscript patches from patching upstream's lsb initscripts to patching upstream's rpm initscripts. The LCDd initscript is failing because there's a check for '-x bindir/LCDd', which is supposed to be '-x sbindir/LCDd'. I fixed that locally, and my imonlcd device fired up correctly. I suspect the same will be the case for you, and calling just 'LCDd -f' might not be providing enough info to bring up your display -- i.e., it needs something from your LCDd.conf file too... I'll push a new build w/the initscript fix, but if you could confirm that tiny change works for you too, it would be much appreciated.
Comment 2 Patrick C. F. Ernzer 2009-06-25 12:27:21 EDT
Jarold,

fixed the initscript, still same message in syslog than what I got starting LCDd manually.

As the initscript problem is known and you're pushing a new build, should we take the hd44780 with bwct connection type error to the lcdproc mailinglist?
Comment 3 Jarod Wilson 2009-06-25 14:42:27 EDT
(In reply to comment #2)
> fixed the initscript, still same message in syslog than what I got starting
> LCDd manually.
> 
> As the initscript problem is known and you're pushing a new build, should we
> take the hd44780 with bwct connection type error to the lcdproc mailinglist?  

Damn, I was holding off on the update, hoping this would fix all your problems. I'll go ahead push it for the benefit of the initscript fix though.

Yeah, probably best to hit up the lcdproc list, Markus or someone else w/an hd44780 device might have some ideas. Outside of the imonlcd driver, I know relatively little about lcdproc internals myself...
Comment 4 Patrick C. F. Ernzer 2009-08-02 07:00:43 EDT
agh, my bad, this fell off the deep end here.
Will try to do this next week.
Comment 5 Patrick C. F. Ernzer 2009-08-11 09:10:42 EDT
done; http://lists.omnipotent.net/pipermail/lcdproc/2009-August/013032.html
Comment 6 Patrick C. F. Ernzer 2009-08-21 07:14:37 EDT
Hmm, no answer on the list in 10 days. I hope I am not the only remaining user of this display.

Questions to Jarod;
  - have any other lcdproc users reported success with the 0.5.3-1.fc12 package?
  - any hints from you on how to debug my display further?

RU

PCFE
Comment 7 Jarod Wilson 2009-09-01 17:19:01 EDT
(In reply to comment #6)
> Hmm, no answer on the list in 10 days. I hope I am not the only remaining user
> of this display.

Yeah, the list has been dead-silent of late... Its like 0.5.3 went out the door, and everyone decided to go on vacation... :(

> Questions to Jarod;
>   - have any other lcdproc users reported success with the 0.5.3-1.fc12
> package?

Several SoundGraph iMON display users have reported success, not sure I've heard from anyone beyond that. I know 0.5.3 was tested successfully with a number of displays upstream, but I don't know offhand which ones.

>   - any hints from you on how to debug my display further?

Not really. I'm not particularly familiar with the lcdproc code, I just worked on the package a bit to make sure the iMON displays were working.
Comment 8 Patrick C. F. Ernzer 2009-11-05 18:03:40 EST
Jarod,

send a bump to my old list message. amybe someone on the list can give hints this time.

RU

PCFE
Comment 9 Bug Zapper 2009-11-16 05:26:09 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Nicolas Chauvet (kwizart) 2010-04-20 17:30:23 EDT
Is this bug still experienced with the lastest update ?
Comment 11 Patrick C. F. Ernzer 2010-04-24 04:20:00 EDT
With lcdproc-0.5.3-5.fc14.x86_64 from rawhide
                                                           [FAILED]
Apr 24 11:18:15 morn kernel: usb 5-2: new full speed USB device using uhci_hcd and address 3
Apr 24 11:18:15 morn kernel: usb 5-2: New USB device found, idVendor=03da, idProduct=0002
Apr 24 11:18:15 morn kernel: usb 5-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Apr 24 11:18:15 morn kernel: usb 5-2: Product: LCD Adapter
Apr 24 11:18:15 morn kernel: usb 5-2: Manufacturer: BWCT
Apr 24 11:18:15 morn kernel: usb 5-2: SerialNumber: 1100891496
Apr 24 11:18:15 morn kernel: usb 5-2: configuration #1 chosen from 1 choice

[root@morn ~]# /etc/init.d/LCDd start
Starting LCDd service: hd_init_bwct_usb: interface may be claimed by kernel driver, attempting to detach it
hd_init_bwct_usb: unable to re-claim interface: No route to host
Driver [hd44780] init failed, return code -1
Could not load driver hd44780
There is no output driver
Critical error while initializing, abort.
Comment 12 Bug Zapper 2010-07-30 06:41:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Nicolas Chauvet (kwizart) 2011-12-22 18:28:13 EST
Can you verify if the problem still exist with lcdproc-0.5.5 on F-15 or later.
Comment 14 Patrick C. F. Ernzer 2011-12-23 06:01:47 EST
Seems still present (config file copied from my F14 filesystem)

LCDd -c /etc/sysconfig/lcdproc/LCDd.conf -f
LCDd 0.5.4, LCDproc Protocol 0.3
Part of the LCDproc suite
Copyright (C) 1998-2010 William Ferrell, Scott Scriven
                        and many other contributors

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software Foundation,
Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

hd_init_bwct_usb: interface may be claimed by kernel driver, attempting to detach it
hd_init_bwct_usb: unable to re-claim interface: Numerical result out of range
Driver [hd44780] init failed, return code -1
Could not load driver hd44780
There is no output driver
Critical error while initializing, abort.


# rpm -q fedora-release lcdproc
fedora-release-16-1.noarch
lcdproc-0.5.4-1.fc16.x86_64
Comment 15 Patrick C. F. Ernzer 2011-12-23 06:03:33 EST
if you tell me which 0.5.5 to grab, I'll gladly test that too.
Comment 16 Nicolas Chauvet (kwizart) 2012-01-03 17:04:58 EST
It's available in updates-testing.
(Please also have a look on #712782 since you are on x86_64).
Comment 17 Patrick C. F. Ernzer 2012-01-04 15:35:00 EST
# LCDd -c /etc/sysconfig/lcdproc/LCDd.conf -f
LCDd 0.5.5, LCDproc Protocol 0.3
Part of the LCDproc suite
Copyright (C) 1998-2010 William Ferrell, Selene Scriven
                        and many other contributors

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software Foundation,
Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

hd_init_bwct_usb: interface may be claimed by kernel driver, attempting to detach it
hd_init_bwct_usb: unable to re-claim interface: Numerical result out of range
Driver [hd44780] init failed, return code -1
Could not load driver hd44780
There is no output driver
Critical error while initializing, abort.

# rpm -q fedora-release lcdproc
fedora-release-16-1.noarch
lcdproc-0.5.5-1.fc16.x86_64

# grep DriverPath /etc/sysconfig/lcdproc/LCDd.conf
DriverPath=/usr/lib64/lcdproc/

# ls -lZ /usr/lib64/lcdproc/hd44780.so 
-rwxr-xr-x. root root system_u:object_r:lib_t:s0       /usr/lib64/lcdproc/hd44780.so
Comment 18 Nicolas Chauvet (kwizart) 2012-09-08 13:28:28 EDT
Do you have reported the problem upstream ?
Sounds like a diff between the different release would help.
Comment 19 Patrick C. F. Ernzer 2012-09-11 06:04:59 EDT
(In reply to comment #18)
> Do you have reported the problem upstream ?

Yes, see Comment #5

> Sounds like a diff between the different release would help.

Will you or do you want me to? (I'll probably be on the road for the next couple weeks, so it will take a while until I get to this.)

Seeing that there I might be one of the only users of this LCD and that I have others to use instead, we can also close this WONTFIX
Comment 20 Nicolas Chauvet (kwizart) 2013-01-05 17:01:34 EST
Here is a scratch build of lcdproc 0.5.6 for f17
http://koji.fedoraproject.org/koji/taskinfo?taskID=4843177
I only to update on f18, please verify if it works for your case on this release.
Comment 21 Fedora End Of Life 2013-01-16 16:43:24 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Patrick C. F. Ernzer 2013-01-21 03:56:24 EST
(In reply to comment #20)
> Here is a scratch build of lcdproc 0.5.6 for f17
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4843177
> I only to update on f18, please verify if it works for your case on this
> release.

Apologies, I was on vacation and the scratch build seems to have expired. Could I ask you to scratchbuild again please?
Comment 23 Nicolas Chauvet (kwizart) 2013-01-22 06:56:43 EST
Resubmitted for f17 scratch build
http://koji.fedoraproject.org/koji/taskinfo?taskID=4893112
Comment 24 Patrick C. F. Ernzer 2013-01-23 06:32:53 EST
still fails the same way; # systemctl status LCDd
LCDd.service - LCDd Service
	  Loaded: loaded (/usr/lib/systemd/system/LCDd.service; disabled)
	  Active: failed (Result: exit-code) since Wed 2013-01-23 12:28:50 CET; 26s ago
	 Process: 27813 ExecStart=/usr/sbin/LCDd -c /etc/lcdproc/LCDd.conf (code=exited, status=1/FAILURE)

Jan 23 12:28:50 morn.internal.pcfe.net LCDd[27813]: hd_init_bwct_usb: interface may be claimed by kernel driver, attempting to detach it
Jan 23 12:28:50 morn.internal.pcfe.net LCDd[27813]: hd_init_bwct_usb: unable to re-claim interface: Numerical result out of range
Jan 23 12:28:50 morn.internal.pcfe.net LCDd[27813]: Driver [hd44780] init failed, return code -1
Jan 23 12:28:50 morn.internal.pcfe.net LCDd[27813]: Could not load driver hd44780
Jan 23 12:28:50 morn.internal.pcfe.net LCDd[27813]: There is no output driver
Jan 23 12:28:50 morn.internal.pcfe.net LCDd[27813]: Critical error while initializing, abort.
Jan 23 12:28:50 morn.internal.pcfe.net systemd[1]: LCDd.service: control process exited, code=exited status=1
Jan 23 12:28:50 morn.internal.pcfe.net systemd[1]: Failed to start LCDd Service.
Jan 23 12:28:50 morn.internal.pcfe.net systemd[1]: Unit LCDd.service entered failed state

this is on F18 x86_64 with a mock rebuild of the package from comment 23 (I installed F18 on the affected box yesterday)

But, seeing that apart, from me, no one seems to have noticed this bug, and I only use this LCD as a toy and, most importantly, we're not getting anything from upstream, I suggest to simply do CLOSED WONTFIX
Comment 25 Nicolas Chauvet (kwizart) 2013-01-26 11:03:12 EST
(In reply to comment #24)
..
> 
> But, seeing that apart, from me, no one seems to have noticed this bug, and
> I only use this LCD as a toy and, most importantly, we're not getting
> anything from upstream, I suggest to simply do CLOSED WONTFIX

I personally had an answer from a recent patch I forwarded to lcdproc upstream. 
But I expect it will be better if you can make a diff between the last release that worked and the next one for the code of your driver.

Obviously this is an upstream issue, so an upstream ticket need to be made.
Comment 26 Fedora End Of Life 2013-02-26 10:27:59 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.